### Function

# Gimp gradient_segment_get_coloring_type

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_coloring_type (
      const gchar* name,
      gint segment,
      GimpGradientSegmentColor* coloring_type
    )

#### Description [src]

Retrieves the gradient segment’s coloring type

This procedure retrieves the coloring type of the segment at the specified gradient name and segment index.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`segment` | `gint`
| The index of the segment within the gradient.
`coloring_type` | `GimpGradientSegmentColor`
| The coloring type of the segment.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| TRUE on success.